CloudStorageAccessPaginatedListResponse
Successful response with a page of CloudStorageAccess
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data object[]required
Items of the page: an empty list beyond the last page
Array [
access_idstring | nullnullablerequired
Id of the access, used in its path: the IPv4 address in hostname
cloud_storage_idintegerrequired
Id of the cloud storage (GET /api/v3/cloud-storages/{cloud_storage_id})
hostnamestring | nullnullablerequired
IPv4 address allowed to mount the storage via NFS
usernamestring | nullnullablerequired
Username of the cloud storage user whose storage the address can mount (GET /api/v3/cloud-storages/{cloud_storage_id}/users)
]
meta objectrequired
Pagination of the list
totalintegerrequired
Number of items in the whole list
countintegerrequired
Number of items in this page: 0 beyond the last page
pagesintegerrequired
Number of pages of the list
pageintegerrequired
Number of this page, starting from 1
per_pageintegerrequired
Maximum number of items in a page
CloudStorageAccessPaginatedListResponse
{
"error": 0,
"message": "string",
"data": [
{
"access_id": "string",
"cloud_storage_id": 0,
"hostname": "string",
"username": "string"
}
],
"meta": {
"total": 0,
"count": 0,
"pages": 0,
"page": 0,
"per_page": 0
}
}